<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The DCOP Desktop COmmunication Protocol library</title>
    <filename>index</filename>
    <docanchor file="index">protocol</docanchor>
    <docanchor file="index">iuc</docanchor>
    <docanchor file="index">conclusion</docanchor>
    <docanchor file="index">sending_data</docanchor>
    <docanchor file="index">model</docanchor>
    <docanchor file="index">Deadlock</docanchor>
    <docanchor file="index">establish</docanchor>
    <docanchor file="index">receiving_data</docanchor>
    <docanchor file="index">receiving_calls</docanchor>
    <docanchor file="index">dcopidl</docanchor>
    <docanchor file="index">dcop_signals</docanchor>
  </compound>
  <compound kind="group">
    <name>dcopc</name>
    <title>C interface to DCOP</title>
    <filename>group__dcopc.html</filename>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gcbeda1d78c1e7db99c96b3660d1d4f00</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g21dfcd67981889384aed21ff77c31fb8</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g06212c27b4af83507b70273a923ea5d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gc3f3183504bf27c01b554204e02ebdcb</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g3b78802916458a0112a64cea313ec199</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g3d30d9379b0ce35402c616e7d51e6692</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPArg</name>
    <filename>classDCOPArg.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>e857e194bb7939275e6069b0dce13897</anchor>
      <arglist>(const T &amp;t, const char *tname_arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>3f38b7fd29ab686764a46712d7600fa6</anchor>
      <arglist>(const T &amp;t)</arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>4977c666567dea4861cc2f934f1eb00e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>tname</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>f2a5b2bd74ca5ff5f32c5fde4bd67656</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPClient</name>
    <filename>classDCOPClient.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>applicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5c0c561768b9471180386efaae18f497</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>applicationRemoved</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>4bf8e3546e1ee4e514b0f674c38bc82c</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>attachFailed</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>d14bbcc006c8dda03589301b50d25239</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>blockUserInput</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>61f7881ae5e8e0a50a271c5f1b3bd478</anchor>
      <arglist>(bool block)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>callBack</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>57eeb2621490f2ff2c43c21cc80f3e2c</anchor>
      <arglist>(int, const QCString &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1577db6cafa44d3e9fae478d2aa1c80c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>6d8723d6b35e3615e60d2cc246b50fff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>attach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5283d139e38077f99e041ce41973dca1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bindToApp</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>05f1e6a9027c591d743b4fd82e10c8d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>99f7c33d62ba5f2f94789c1ac40868e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttached</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>d6b688d28ecf6edcb4f663a598e4e525</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttachedToForeignServer</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>d9d4a3e3f0a25768c0d97cf6f7220278</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>acceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>3778cf52da82bad8b68f0282b782bcf9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAcceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>9db78ea89ec22c4a061d34c232c5bb4b</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>qtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>880b07c46fc759d9640c4b9ac733c422</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>fb7c906a9017bac183e9e192c16960f7</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>registerAs</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>6e7b0c0b5a933fc4e91856d5b92ec96f</anchor>
      <arglist>(const QCString &amp;appId, bool addPID=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2a58586d341116a0879e9899d4686015</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>appId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2f43805ba797008c61f14859c6e1c2d0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>socket</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a49e3f05e8f587e6192b8bf118b81ae9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>suspend</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>23f213ecb77bc54d451be1042b006180</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resume</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>d4a2af16bcb3ce13fb73641185125c92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSuspended</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>8fcc658bb995e6edbbba66acfdf752a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>fb594352846f6a32e1ecac7718017108</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>89adb4fe51cb6464b799c329e0cc4fd9</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QString &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>0e3033d73b87f58cd82d8bc24e5abef8</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>cd2b7a4e9feb6f141a5d13e3c8153cb3</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>callAsync</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>059fb85175015f596bf0ee02f8583ca6</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QObject *callBackObj, const char *callBackSlot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e18e08568dae1efd565cd9e89fc089fa</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;foundApp, QCString &amp;foundObj, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c4ab9dea6fd8d59f21f57a4e0b1921f0</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;foundApp, QCString &amp;foundObj, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>357dfafac61c45a269cdfbe041b6039b</anchor>
      <arglist>(const QCString &amp;object, const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b57280469d31566360fa8393bd184a2d</anchor>
      <arglist>(const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>fb6233bfbc8db5cdcdbe03944ffc598b</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>0062eaf9a9f79b64d60a79d3cdad5f8b</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1b1b4628d1bf0ee755b8832b2d7c223b</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2c9d8a4755599c8ce47ee19ec0dc9b61</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a424ed0a76bd3974c49d6b6552062987</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClientTransaction *</type>
      <name>beginTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>59379e153f9b7920e89b241bf6be02b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>540f115f0a35b81572644c575ab6cbec</anchor>
      <arglist>(DCOPClientTransaction *t, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>Q_INT32</type>
      <name>transactionId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>3b79ee28b76ba8fd9966e1274420dbd1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isApplicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>487f70f42f1438933b18400f994dda98</anchor>
      <arglist>(const QCString &amp;remApp)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>registeredApplications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>607e3ddf537f522f8ba2ded91573ee01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteObjects</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>d79b59922075b8128488d270ed1df4e8</anchor>
      <arglist>(const QCString &amp;remApp, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteInterfaces</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e4d21ad46cc8cd2b26cb693a5bb86214</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteFunctions</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a42ac87dec539ac3d90772a34448923b</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receive</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b445a6aca4b422fa82b08d73ffa5ab2b</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>find</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ab08e0cb60ad74ace38772578bc68aa9</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>senderId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>80a50cebe23f526d0bebc05b0fbf79f3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>3c315f2e420f00dc456864864246ebaf</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>defaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>dd9d94f0e9b4d66ae68b1de0883da600</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNotifications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c76e73dcfc731660af33410e255483b4</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaemonMode</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>3d7045e4b779faa097cd0c92c70489c7</anchor>
      <arglist>(bool daemonMode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPriorityCall</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>9b9a7d551eff8085332df32fb9c86afc</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>handleAsyncReply</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b300a17cf587ef89c3d7057f5421668d</anchor>
      <arglist>(ReplyStruct *replyStruct)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setServerAddress</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1a0925cd0b8b5abfbf93f60febed9e9</anchor>
      <arglist>(const QCString &amp;addr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>normalizeFunctionSignature</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>689d07fc8b7cd6e9fc7268bb78893a10</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>mainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>545a9e6881f874b870ddb79735094211</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c50275d6e7f52ae0a8479a19b75f3b47</anchor>
      <arglist>(DCOPClient *mainClient)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>findLocalClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>335d9231391c1d354fa60449d39a85c0</anchor>
      <arglist>(const QCString &amp;_appId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>emergencyClose</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c87b14c15cc9f90d1fa437e34d8af969</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemSender</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>db40e2325dfc44ce0d8f8ebf3a3f82b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>fa249d59576477c278be047323af80eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemFunction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>da992c22af349351f4f1478dbafdd008</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>dcopServerFile</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>014230801a9774e31015f6055ded6e9e</anchor>
      <arglist>(const QCString &amp;hostname=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>dcopServerFileOld</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>6378b81b3f88d088861c727ad9665226</anchor>
      <arglist>(const QCString &amp;hostname=0) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>iceauthPath</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>55de90b705c898284086d1d1110e1e5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>processSocketData</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5651141c74a50649b23adb9dbc137e56</anchor>
      <arglist>(int socknum)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>0e9d05cbd455395dc4798677ddc25028</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gcbeda1d78c1e7db99c96b3660d1d4f00</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g21dfcd67981889384aed21ff77c31fb8</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g06212c27b4af83507b70273a923ea5d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gc3f3183504bf27c01b554204e02ebdcb</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g3b78802916458a0112a64cea313ec199</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g3d30d9379b0ce35402c616e7d51e6692</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPConnection</name>
    <filename>classDCOPConnection.html</filename>
    <base>QSocketNotifier</base>
    <member kind="function">
      <type></type>
      <name>DCOPConnection</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>1365621cf09a170d7e11a14309afbfa4</anchor>
      <arglist>(IceConn conn)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DCOPConnection</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>47c6b8cace29080b7c3903d4ddec894b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DCOPSignalConnectionList *</type>
      <name>signalConnectionList</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>c17de97cad3364fcc07789da31ac9bba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>waitForOutputReady</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>e119fa3c0ec26fd0966b17bbc709dd66</anchor>
      <arglist>(const QByteArray &amp;_data, int start)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>slotOutputReady</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>ea5773212b4be876925cdc6d58795c87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>appId</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>6bbe51e1ffa4f0277d58f5d0dac47971</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>plainAppId</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>6090295c9c62b5237d35660ded2f0e05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IceConn</type>
      <name>iceConn</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>87dc40c01af73e055a65cbcea5149947</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>notifyRegister</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>016b3e32684c2490b094a7399f3bdf5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPtrList&lt; _IceConn &gt;</type>
      <name>waitingOnReply</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>c1ab1f4ecf2a35b421c61e7a86b9777a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPtrList&lt; _IceConn &gt;</type>
      <name>waitingForReply</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>cb410a1ad3a67c454b5a313b1703bbde</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPtrList&lt; _IceConn &gt;</type>
      <name>waitingForDelayedReply</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>4d98289f86ab3a349cb88b6600994c47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCOPSignalConnectionList *</type>
      <name>_signalConnectionList</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>5b0ed5c459d325c10d69ecdb0a18c26b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>daemon</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>4c75ba3544a96ad5dae65d264664e7b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>outputBlocked</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>c6563fc41a5b3daa7c93b268d4636b68</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QValueList&lt; QByteArray &gt;</type>
      <name>outputBuffer</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>c2b2f0294f8802ccaad034e34e9ed2ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>outputBufferStart</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>60d0abc100d2acb5a14d76a11ff29247</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QSocketNotifier *</type>
      <name>outputBufferNotifier</name>
      <anchorfile>classDCOPConnection.html</anchorfile>
      <anchor>d4ace674a5e1e8ee3ccc68a1ecd105ea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>DCOPMsg</name>
    <filename>structDCOPMsg.html</filename>
    <member kind="variable">
      <type>CARD8</type>
      <name>majorOpcode</name>
      <anchorfile>structDCOPMsg.html</anchorfile>
      <anchor>438b34b83668529e836f235888240550</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CARD8</type>
      <name>minorOpcode</name>
      <anchorfile>structDCOPMsg.html</anchorfile>
      <anchor>fbd63f64afb805f0ed6f0dbb8e058dbc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CARD8</type>
      <name>data</name>
      <anchorfile>structDCOPMsg.html</anchorfile>
      <anchor>73140aaf0812d26097becf4bdd44b7c3</anchor>
      <arglist>[2]</arglist>
    </member>
    <member kind="variable">
      <type>CARD32 length</type>
      <name>B32</name>
      <anchorfile>structDCOPMsg.html</anchorfile>
      <anchor>36a1e47e12f91c4845e44b164d8c4ca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CARD32</type>
      <name>key</name>
      <anchorfile>structDCOPMsg.html</anchorfile>
      <anchor>5caaf2b0a5568c42ecf1bcfb02bb5598</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObject</name>
    <filename>classDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>803038e505d67f275bdf89e06d61037c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>eea80f0b216be72afe5e8457424ffc92</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>17066225cfca510ccfbe5fb86436173b</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>679722d7eb1f0e65766d082f20c7877f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>objId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>b809220cc150bad99df505a310d87d1e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setObjId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>2a0064c26dc35b685d65d8ba6a2f723a</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>2d93f400d889c4b2a3a868f1fdd1d485</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>35b825acefa9cb7e5936ae8be5b414b4</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>1a299479874011f17f6c7a283542fd02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfacesDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a3fe19bccb8b6cd52dbfd4ccbea36025</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfaces</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>08a2847c3efbb726f12537d539513d21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functions</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>24127cc8edbdf19ca2634b860022492e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>ff74783d25b544bdeb5856bb873ddb5b</anchor>
      <arglist>(const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>5f66d8733ac8ef7a4b25903aa4cc5a0f</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a855f8ba87e34af4f72c28a17a1ca159</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>callingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>2692405d4770dfd2c14fd69ec68fed43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCallingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>48cdfbc5fd60acceab7d6c1f3c21989b</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>hasObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>aa19a731d561c8e1fdc58e2bf98633b4</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPObject *</type>
      <name>find</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>e85b756e387a9a6e7b7e00db24ae37b7</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPtrList&lt; DCOPObject &gt;</type>
      <name>match</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>5e2c098a5a08ef51663d19fb8a3ab279</anchor>
      <arglist>(const QCString &amp;partialId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>objectName</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>172a062d7e1de1be3b27659c3ac4dca3</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>cccfc79dea604385c366c5b97148aba3</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObjectProxy</name>
    <filename>classDCOPObjectProxy.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>27f00ea090287459433204c4830e7c43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>7118414204927247e28282c1f9265059</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>233da7b1dc6083dffb9c734ccee00149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>ce19d82ef51a825458d361e71a92a95a</anchor>
      <arglist>(const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>b401f6e455d7443297c14fc319321a49</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>9bb92d583ce2233894272bf599eacaff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPRef</name>
    <filename>classDCOPRef.html</filename>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoEventLoop</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>6aa7ac3b15ffa6c2aad2ac3b0fbc88e329631a41d3198a0c70b7887ddf5904aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>UseEventLoop</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>6aa7ac3b15ffa6c2aad2ac3b0fbc88e339f4f4c11c916a71df4a675a25dcdfe1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EventLoopFlag</name>
      <anchor>6aa7ac3b15ffa6c2aad2ac3b0fbc88e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>9fbebee4e7f46dcb21ce887aa4ed220b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>517a3780023ff2436cf6136f50a99f26</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>dcb9466bb1baf37f547ab6abd2b12b04</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>b0ff078233e67a332e81866c692f7327</anchor>
      <arglist>(DCOPObject *object)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>f40c8f46fbc4be40ddc072cc2b18ebc4</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>35e9191280988d897c1ae3a2eee56e8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>app</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>46530652b41b63aac1605e53654fd7ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>obj</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>bd66e8c8e382ebaa159f0c7c14753245</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>object</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>b9140586e6855b4c087f6af5cc21ea6c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>f327232213634f5a442e30047b10eaa5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPRef &amp;</type>
      <name>operator=</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>e2361f13b9c2ba95240a6c441ffeeb3b</anchor>
      <arglist>(const DCOPRef &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>f96cdd4ef2652f18eb629beb93584575</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ad3e6e531e14845eff5b1e2f6aa516b9</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8c7a914b6e2809e5575541b08163b9d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>6bf6f786f271c78d5574d63f1615ceb7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDCOPClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>584581f47b37ce0129b331b73ba4b1b0</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>4370476bbe52d9b28822ad7c3b9e309c</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>cef374cb4ffb2cce1a51729a7a770a63</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop=NoEventLoop, int timeout=-1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>938fe9331b2c565b70414748bb2a7ad2</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>c50d53045cb11faa1b39680c1a8509ad</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>f44d1bb08f1b509aaa9edd9bb211e4ef</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>b4e6816b461ed7116b3e92f5c077bb11</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>49f2d4799dfa092e54225d09f5bedf39</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>51e3c16878ddfa1160f4961f215bf334</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>522d2ca51ba76dae7905c459d347b46b</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>f345952c18d83ba67afdf0f302538be2</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>d5f9a9b64d525b228922b0f7e9dc70f3</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>38d34cb2853ebb7047c62d8043baa6ed</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>b06dffa7ffc284ecfab3631ab4aa25c3</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>73923c34a87ba82e291f14bd5c95d6aa</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a452d47bd68d97373bdd0259af4e17e2</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>76e46abac937a2f1fb26962fb3ba03f7</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a94075525114bc7ce0a43a907eeebe90</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>613594245c35817e1caf6ab89523dc91</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8ea026340474a0052dea2537ead1aeb2</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>5c0f594b61b7a64018111a6b6c5eb2d2</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>af4fb113efc8aa44635c107a74aa8c83</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8ce3c8497b75a2d9b4cd200ff23ea279</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a2941483a7015d46beb29984f518d6ee</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>fa25825b3b10902b868d211d6bea2587</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>fa71cb5b8ae8bf87babf5dddd743ee22</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>20da67c7ad04c3b17d85542fa92a5185</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>b3ba2fb80a701a755b08053103e0171d</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPReply</name>
    <filename>classDCOPReply.html</filename>
    <member kind="function">
      <type></type>
      <name>operator T</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a57a7f489f0eca5f6764b09948e62b51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>71ad76df34964edb93b9d704285e5188</anchor>
      <arglist>(T &amp;t, const char *tname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>3870144da0e9164e612788082ce10016</anchor>
      <arglist>(T &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a85fe2d273ded402c089d2bf710ace3b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>77604241894fa1c492f91bb1a68d23ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>type</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>3bee478abacf53fc880eb4e523822cf2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPServer</name>
    <filename>classDCOPServer.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>DCOPServer</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>2b86a38be4870fbaf53212a9e6b58fb4</anchor>
      <arglist>(bool _suicide)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DCOPServer</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>cba35ed9aceb0c65c89c10101472e829</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>watchConnection</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>120fc133d9a8df79408bec2660fcb143</anchor>
      <arglist>(IceConn iceConn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeConnection</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>8eac173f3b36faee1a8056fd270ebc86</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processMessage</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>f38f6859be8426e650c8c4ed5a99c0ed</anchor>
      <arglist>(IceConn iceConn, int opcode, unsigned long length, Bool swap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ioError</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>0c87bce9f3405d0371e0f7cc20b89988</anchor>
      <arglist>(IceConn iceConn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receive</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>ee9897c955d8ddddae5ab3b6eb4b8038</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, IceConn iceConn)</arglist>
    </member>
    <member kind="function">
      <type>DCOPConnection *</type>
      <name>findApp</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>5e6f5786ffd395aeff656a518c02562e</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="function">
      <type>DCOPConnection *</type>
      <name>findConn</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>dbf0406cf2376466b19c10799bc1faf3</anchor>
      <arglist>(IceConn iceConn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendMessage</name>
      <anchorfile>classDCOPServer.html</anchorfile>
      <anchor>006a56a461e71c6c6ca1ad1087518641</anchor>
      <arglist>(DCOPConnection *conn, const QCString &amp;sApp, const QCString &amp;rApp, const QCString &amp;rObj, const QCString &amp;rFun, const QByteArray &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPSignalConnection</name>
    <filename>classDCOPSignalConnection.html</filename>
    <member kind="variable">
      <type>QCString</type>
      <name>sender</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>0c39f2c6b5eb09c72ffe1434c7264f6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCOPConnection *</type>
      <name>senderConn</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>8ae8e89ee86e2a9f39e085d3922cb8ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>senderObj</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>416f95a3ded82449baa079848d3e020c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>signal</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>ff340dad5cee33c9b2286c7a78e3f505</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCOPConnection *</type>
      <name>recvConn</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>2852f6d72c9c43b3db8b3bde9260c380</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>recvObj</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>0e31d231b7923d4fa113f722e74db3da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>slot</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>09d0382f8ef96793f26e6a3c77fe3175</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPSignalConnectionList</name>
    <filename>classDCOPSignalConnectionList.html</filename>
    <base>QPtrList&lt; DCOPSignalConnection &gt;</base>
    <member kind="function">
      <type></type>
      <name>DCOPSignalConnectionList</name>
      <anchorfile>classDCOPSignalConnectionList.html</anchorfile>
      <anchor>5e268b4ab1ce69a49107b8930f2edd1c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPSignals</name>
    <filename>classDCOPSignals.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPSignals</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>29b0c6a469041c25819647ce93de734c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignal</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>143ca2792df8dc06c2ddd3600c98a5e2</anchor>
      <arglist>(DCOPConnection *conn, const QCString &amp;fun, const QByteArray &amp;data, bool excludeSelf)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectSignal</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>afea032bb32a5d46515aa4ec7716aa86</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, DCOPConnection *conn, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectSignal</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>322c6f738335df0e91a286940abaae3a</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, DCOPConnection *conn, const QCString &amp;receiverObj, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeConnections</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>7bb61fc0b48adbfbb0a905aa0dbbc554</anchor>
      <arglist>(DCOPConnection *conn, const QCString &amp;obj=0)</arglist>
    </member>
    <member kind="variable">
      <type>QAsciiDict&lt; DCOPSignalConnectionList &gt;</type>
      <name>connections</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>09608ee667916f8c36fed847bc515cd3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPStub</name>
    <filename>classDCOPStub.html</filename>
    <member kind="enumvalue">
      <type>@</type>
      <name>CallSucceeded</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>300b492980cec3a3a84a7db6402c367a706102aea26bc9547ecbbe1e4c12b7c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CallFailed</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>300b492980cec3a3a84a7db6402c367a370c0fe2812eb2cf6f677e8b6738f786</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>300b492980cec3a3a84a7db6402c367a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>35aa07aeac1945a1e1395602b2d4d206</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>5662ab36a4dfa031be39c804160d6cd7</anchor>
      <arglist>(DCOPClient *client, const QCString &amp;app, const QCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>189a27663bd8977e3e3a9628c9880fbb</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>6aad41565c8ccdb55e10e65e019e266e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>app</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>1ea6b5572082e85c57032a060bb5a1fe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>obj</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>2d147c5952a05602ce065900609cd467</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>c73d8701a8424a991439d143d16b74a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ok</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>f5c8162d5ea9f81bb784fec4187af2cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>never_use</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>0716a0f002d66f062b06b0b9abaa47964e849cd76bfdfd0aa8c48af6b15384b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>never_use_t</name>
      <anchor>0716a0f002d66f062b06b0b9abaa4796</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>938b076b146b19643e1b0a91dba1c293</anchor>
      <arglist>(Status _status)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>callFailed</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>f505412fe98c70049de2aeafa9232b2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>15966527ab1877c530fbb215cbc6cecf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>cecf1e3a01de51002b7c572a8e7d27e2</anchor>
      <arglist>(never_use_t)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>6c5fcc65ca87518977532b26480e17ee</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DefaultTest</name>
    <filename>classDefaultTest.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>noArgsTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>83087976a197e8d81b0b6e82c0ae25fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>argsTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>54c49c695d73b971d5eb6fa2bd89887b</anchor>
      <arglist>(QString filename, QString url)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>unNamedArgsTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>ddfe460a4adc6a54e8a918a09302f4a2</anchor>
      <arglist>(QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>constTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>087f9b897b27fec81b3c9785819c1e9e</anchor>
      <arglist>(QString, QString) const </arglist>
    </member>
    <member kind="dcop">
      <type>QStringList</type>
      <name>writeTypeTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>54419511dd1832a11b292c5c542de657</anchor>
      <arglist>(const QString &amp;, QPtrList&lt; int &gt;)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>voidReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>268f12542a266792ef1a27d8e231deb1</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
    <member kind="dcop">
      <type>QString</type>
      <name>nonVoidReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>f23f5d8b50182e0229a093d5dcde0d2b</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>intReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>a461ddb4b10ea26f42d10ade1af2fd52</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>boolReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>071106e509495f5066c7fef98cde4c8a</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>asyncTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>ca5066047638e79fc35bbb01d2560aab</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>nonDcopFunction</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>0810fc6c8b3eafa91966a9c4cb683ed7</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HashingTest</name>
    <filename>classHashingTest.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>9e14355bc57f8ec9235d907e017dcdfb</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function2</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>2bd9122a0db7d51030ff9eba402817d2</anchor>
      <arglist>(QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function3</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>6f989ebf5cb79a71449cbe1ac96f6386</anchor>
      <arglist>(QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function4</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>18ccfb2b7a56d800e70baf49ebc77077</anchor>
      <arglist>(QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function5</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>b51e741cfd4ab4220f1e1441ae44b1e0</anchor>
      <arglist>(QString, QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function6</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>956c419e2a646f2829b825263578c8a6</anchor>
      <arglist>(QString, QString, QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function7</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>2eb67fc936fb10790bc3ac392de48641</anchor>
      <arglist>(QString, QString, QString, QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function8</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>34091ceba613629487f6156ebfbfa032</anchor>
      <arglist>(QString, QString, QString, QString, QString, QString, QString, QString)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyDCOPObject</name>
    <filename>classMyDCOPObject.html</filename>
    <base>QObject</base>
    <base>DCOPObject</base>
    <base>QObject</base>
    <base>DCOPObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>c4085a02402ab4b47423ac5e61d7c359</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>c4085a02402ab4b47423ac5e61d7c359</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout2</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>bba7d119d5880445f2ec041254d8bcb5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>registered</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>3f76e1829bee02e2dd156d3c2d847927</anchor>
      <arglist>(const QCString &amp;appName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unregistered</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>8f66d3d57112d1ca88e471bc8e9c7d11</anchor>
      <arglist>(const QCString &amp;appName)</arglist>
    </member>
    <member kind="slot">
      <type>QCStringList</type>
      <name>functions</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>55ecb7969cc7ca894e88e97e3f9a8416</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MyDCOPObject</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>124efad880249e69443caaf60f30477f</anchor>
      <arglist>(const QCString &amp;name, const QCString &amp;remoteName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>process</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a8a611921d42a204a68da75f7941bc78</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MyDCOPObject</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>00c373be47cdafdf2d47ba9c7e46d1a4</anchor>
      <arglist>(const QCString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>process</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a8a611921d42a204a68da75f7941bc78</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>function</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>777ec71c503995cc2ace9a8fc1f440f0</anchor>
      <arglist>(const QString &amp;arg1, int arg2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NoFunctions</name>
    <filename>classNoFunctions.html</filename>
    <base>DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>NonDCOPObject</name>
      <anchorfile>classNoFunctions.html</anchorfile>
      <anchor>1bc9485ebf9dc8fae7520b2d0d86a5e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>nonDcopFunction</name>
      <anchorfile>classNoFunctions.html</anchorfile>
      <anchor>df9ab0e7cdaa4ab4be877548e39232ac</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NonDCOPObject</name>
    <filename>classNonDCOPObject.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classNonDCOPObject.html</anchorfile>
      <anchor>85edbe2322f666b5353f2ba01e6426ac</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NonHashingTest</name>
    <filename>classNonHashingTest.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classNonHashingTest.html</anchorfile>
      <anchor>68a0c304561d4ae7930b3f9014cb1928</anchor>
      <arglist>(QString)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NoSuper</name>
    <filename>classNoSuper.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classNoSuper.html</anchorfile>
      <anchor>58e278de511708dc2ffd9159dba749c1</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SignalTest</name>
    <filename>classSignalTest.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>SignalTest</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>e466cfb729a90a79331291228e6cba3e</anchor>
      <arglist>(QCString objId=&quot;KBookmarkNotifier&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>signal2</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>65076c5dfdb141067b17a5029f015660</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>signal3</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>b0f12a517469cd2e85adfb5965e242f5</anchor>
      <arglist>(QString filename, QString url)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>4986b0406ad588eb27d8d1e41b8749dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString</type>
      <name>url</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>56ea99a709f8e65a6ac90c4c99b98603</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString</type>
      <name>text</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>6c386be26c3f1b3e8a8a18f35b25946a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString QString</type>
      <name>address</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>8dcb973f8edc3b1270a773bcac8a025d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString QString QString</type>
      <name>icon</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>cd9089d97751ff16d9f7d1215c4fe6c1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Test</name>
    <filename>classTest.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <base>QValueList&lt; QString &gt;</base>
    <member kind="enumvalue">
      <type>@</type>
      <name>Enum1</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>4ae7fac810f15911f23d692f5b10bc712e7c4e7e4e11b8e14ac125a74b4bbb26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Enum2</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>4ae7fac810f15911f23d692f5b10bc71697b5bb2781396d7c48d9ac46d122643</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Enum3</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>c2ccd5abb49fc4692670df1a53ddc1f29a30451042cc92633847a72d605a2937</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Enum4</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>c2ccd5abb49fc4692670df1a53ddc1f27948266d5ff21d2253440b113d79d30e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>NamedEnum</name>
      <anchor>c2ccd5abb49fc4692670df1a53ddc1f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>9daa315b7e30069b438973f47a771cfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>constTest</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>ed8633f88b22b814ade782e83cb52060</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>firstView</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>2908df6af804a2220e602c449236a6df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>nextView</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>80b117c491c147e7f9b545991ee0d554</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumObjects</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>91f2666a932fa16c74129b59104313d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>getObject</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>1f25e235943f3e34073355228ec4cede</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumPages</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>4c0bddb296ab04ad6b0a0074b1da9753</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>getPage</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>ac8309c39641394640b13ff50cb5cd94</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>getPageOfObj</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>577d9f78bc6f66321fded95c0b3d8820</anchor>
      <arglist>(int obj)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setCell</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>e3892ee2471347a78f40c26087a15a00</anchor>
      <arglist>(const int &amp;point=3)</arglist>
    </member>
    <member kind="dcop">
      <type>QValueList&lt; DCOPRef &gt;</type>
      <name>getWindows</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>b58130a2cea5340c9e1f25be8ceadc3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>const QStringList</type>
      <name>remotes</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>bea99f2959a54a2c9edb70f633c12c7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Test</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a425e5f4e4db351850568c4d57f143f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPageOfObj</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>577d9f78bc6f66321fded95c0b3d8820</anchor>
      <arglist>(int obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCell</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>d2468ac4fe8157e774cde2c2edef3a74</anchor>
      <arglist>(KSpreadTable *table, const QPoint &amp;point)</arglist>
    </member>
    <member kind="variable">
      <type>SomeForwardFooPrivate *</type>
      <name>d</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a0fde20c20d44fbb3c32c3f54c0a3e75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a2a4722dcb2465d51f68e37e6fbb5f56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>AUDIO_CD</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>61e33d56e6930179d0c3882315942a5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>m_number0</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>199a9ce459482aa64931f5898bc476c5</anchor>
      <arglist>[20]</arglist>
    </member>
    <class kind="struct">Test::Bar</class>
  </compound>
  <compound kind="struct">
    <name>Test::Bar</name>
    <filename>structTest_1_1Bar.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>i</name>
      <anchorfile>structTest_1_1Bar.html</anchorfile>
      <anchor>dde4c78b5697b0c198e5a16aadd32223</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Test2</name>
    <filename>classTest2.html</filename>
    <base>DCOPObject</base>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classTest2.html</anchorfile>
      <anchor>23e69f6bd86b85dc6388749898fd7610</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TestObject</name>
    <filename>classTestObject.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>1cce2f446ed1ad39c2aaea3289fd1aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCallBack</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>ee8a54d2d47c46e4eeb17ad5cf829852</anchor>
      <arglist>(int, const QCString &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TestObject</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>df1971a3de7376c0c38ec1a97d783b6c</anchor>
      <arglist>(const QCString &amp;app)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KMail</name>
    <filename>namespaceKMail.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Kpgp</name>
    <filename>namespaceKpgp.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TestNamespace</name>
    <filename>namespaceTestNamespace.html</filename>
    <class kind="class">TestNamespace::NamespaceTest</class>
  </compound>
  <compound kind="class">
    <name>TestNamespace::NamespaceTest</name>
    <filename>classTestNamespace_1_1NamespaceTest.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classTestNamespace_1_1NamespaceTest.html</anchorfile>
      <anchor>ba59bc2237470cebb405a4660477e89a</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TheNameSpace</name>
    <filename>namespaceTheNameSpace.html</filename>
    <class kind="class">TheNameSpace::Test3</class>
  </compound>
  <compound kind="class">
    <name>TheNameSpace::Test3</name>
    <filename>classTheNameSpace_1_1Test3.html</filename>
    <base>DCOPObject</base>
    <member kind="function">
      <type>void</type>
      <name>yadda</name>
      <anchorfile>classTheNameSpace_1_1Test3.html</anchorfile>
      <anchor>26187480825e9d66d3aea7171044611f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
